/******************************************************
* DS4 Clone-Restore
*
* DS4 Laser Technology srl
*
* author: Carsana Francesco <francescocarsana@ds4.it>
*******************************************************/


#include <qlabel.h>

#include "createsettingswidget.h"

createSettingsWidget::createSettingsWidget(QWidget* parent, const char* name, WFlags fl)
        : createSettingsWidgetBase(parent,name,fl)
{}

createSettingsWidget::~createSettingsWidget()
{}

void createSettingsWidget::bthCreate_clicked()
{
    QSettings settings;
    
    settings.writeEntry("DS4CloneRestore/RevMountPoint",edtRevMountPoint->text() + "/");
    settings.writeEntry("DS4CloneRestore/RevDevice","/dev/" + edtRevDevice->text());
    settings.writeEntry("DS4CloneRestore/HdDevice",edtHdDevice->text());
    settings.writeEntry("DS4CloneRestore/SystemSwapPartition","/dev/" + edtSystemSwapPartition->text());
    
    QMessageBox::information(this,"Finish","Settings written!",
                              QMessageBox::Ok,QMessageBox::NoButton,QMessageBox::NoButton);
}



#include "createsettingswidget.moc"

